> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/key-components/modules/oidc/authorization-endpoint.md).

# Authorization endpoint

This is the starting point for OpenID Connect flows.

The authorization endpoint is typically used to identify a user and obtain an authorization code, which is then later exchanged for an ID token and access token. (When using the Implicit Flow type (see authenticators), the ID token and access token are delivered directly.)

The authorization endpoint is represented by authenticators, either an authorization code flow or an implicit flow authenticator. (See OIDC authenticators for configuration)

No identification is done by these authenticators. They act as controllers for issuing Json Web Tokens (JWT). Typically, these authenticators are the first point of contact coming from an OpenID Connect Relying Party, requesting identification.

Actual user identification is done elsewhere.

```
Example: http://127.0.0.1:8080/access/authn/oidc
```

#### Request parameters

{% hint style="info" %}
**Note:** Mandatory request parameters can be configured on each OIDC authenticator. Parameters marked as mandatory are the default behaviour.
{% endhint %}

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td><code>client_id</code></td><td>Identifies the client and must match the value configured in FortifiedID Integrity.</td><td>true</td></tr><tr><td><code>redirect_uri</code></td><td>Redirect location where the authorization code or JWTs should be sent. It must match the value configured in FortifiedID Integrity.</td><td>true</td></tr><tr><td><code>response_type</code></td><td>'code' for authorization code flows. 'id_token<em>' or '</em>id_token token' for implicit flows.</td><td>true</td></tr><tr><td><code>response_mode</code></td><td>Determines how the response should be returned. Supported values are 'form_post' and 'query'. Defaults to query.</td><td>false</td></tr><tr><td><code>scope</code></td><td>'openid' is required for authentication requests.</td><td>true</td></tr><tr><td><code>state</code></td><td>A value that is returned untampered in the response. The client application (Relying Party) can use it to remember the state of its interaction with the end user at the time of the authentication call.</td><td>false</td></tr><tr><td><code>max_age</code></td><td>Allowed time, in seconds, since the last time the end user was authenticated by FortifiedID Integrity.</td><td>false</td></tr><tr><td><code>nonce</code></td><td>The value is returned, as is, in the ID token (Part of the JWT). Used to mitigate replay attacks.</td><td>true</td></tr><tr><td><code>code_challenge</code></td><td>A code challenge for PKCE, to prevent CSRF and authorization code injection attacks. Supported hash method for client generation of this challenge is S256.</td><td>false</td></tr><tr><td><code>prompt</code></td><td><p>If prompt has value 'login' or no prompt parameter is used, the user is prompted to authenticate.</p><p>If prompt has value 'none' and a user session exists, the user is silently authenticated. If prompt has value 'none' and the user session does NOT exist, an error is returned.</p></td><td>false</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/key-components/modules/oidc/authorization-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
